Name:		strawberry
Version:	0.8.5
Release:	%mkrel 2
Summary:	Audio player and music collection organizer
Group:		Sound/Players
# Main program: GPLv3
# src/analyzer and src/engine/gstengine: GPLv2
# src/widgets/fancytabwidget and src/widgets/stylehelper: LGPLv2
# 3rdparty/singleapplication: MIT
# 3rdparty/utf8-cpp: Boost
# src/core/timeconstants.h and ext/libstrawberry-common/core/logging and ext/libstrawberry-common/core/messagehandler: ASL 2.0
License:	GPLv2 and GPLv3+ amd LGPLv2 and ASL 2.0 and MIT and Boost
URL:		http://www.strawbs.org/
Source0:	https://github.com/jonaski/strawberry/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:		0001-Update-translations.patch
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	appstream-util
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libudf)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(sqlite3) >= 3.7
BuildRequires:	pkgconfig(taglib) >= 1.11
BuildRequires:	pkgconfig(libgpod-1.0)
BuildRequires:	pkgconfig(libimobiledevice-1.0)
BuildRequires:	pkgconfig(libplist-2.0)
BuildRequires:	pkgconfig(libusbmuxd-2.0)

Requires:	gstreamer1.0-plugins-good
Recommends:	gstreamer1.0-moodbar

Provides:	bundled(utf8-cpp)
Provides:	bundled(singleapplication)

%description
Strawberry is an audio player and music collection organizer.
It is a fork of Clementine. The name is inspired by the band Strawbs.

Features:
  * Play and organize music
  * Supports WAV, FLAC, WavPack, DSF, DSDIFF, Ogg Vorbis, Speex, MPC,
    TrueAudio, AIFF, MP4, MP3 and ASF
  * Audio CD playback
  * Native desktop notifications
  * Playlists in multiple formats
  * Advanced output and device options with support for bit perfect playback
    on Linux
  * Edit tags on music files
  * Fetch tags from MusicBrainz
  * Album cover art from Last.fm, Musicbrainz and Discogs
  * Song lyrics from AudD and API Seeds
  * Support for multiple backends
  * Audio analyzer
  * Equalizer
  * Transfer music to iPod, iPhone, MTP or mass-storage USB player
  * Integrated Tidal support
  * Scrobbler with support for Last.fm, Libre.fm and ListenBrainz


%prep
%autosetup -p1

mv 3rdparty/singleapplication/LICENSE 3rdparty/singleapplication/LICENCE-singleapplication.txt

%build
%cmake_qt5 \
  -DBUILD_WERROR=OFF \
  -DUSE_SYSTEM_TAGLIB=ON

%cmake_build

%install
%cmake_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.strawberrymusicplayer.%{name}.appdata.xml

%files
%doc Changelog README.md
%license COPYING
%license 3rdparty/singleapplication/LICENCE-singleapplication.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-tagreader
%{_metainfodir}/org.strawberrymusicplayer.%{name}.appdata.xml
%{_datadir}/applications/org.strawberrymusicplayer.%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-tagreader.1.*


%changelog
* Sat Jan 09 2021 daviddavid <daviddavid> 0.8.5-2.mga8
+ Revision: 1669947
- xine support is no more used (removed upstream)

* Mon Dec 21 2020 daviddavid <daviddavid> 0.8.5-1.mga8
+ Revision: 1662431
- new version: 0.8.5

* Fri Dec 18 2020 luigiwalser <luigiwalser> 0.8.4-4.mga8
+ Revision: 1660996
- rebuild for protobuf

* Thu Dec 17 2020 umeabot <umeabot> 0.8.4-3.mga8
+ Revision: 1659928
- Rebuild for new Qt5

* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.8.4-2.mga8
+ Revision: 1650546
- rebuild for protobuf

* Mon Nov 16 2020 daviddavid <daviddavid> 0.8.4-1.mga8
+ Revision: 1646480
- new version: 0.8.4

* Tue Oct 27 2020 daviddavid <daviddavid> 0.8.3-1.mga8
+ Revision: 1639812
- new version: 0.8.3

* Tue Oct 20 2020 daviddavid <daviddavid> 0.8.2-1.mga8
+ Revision: 1637188
- new version: 0.8.2

* Fri Aug 21 2020 daviddavid <daviddavid> 0.7.2-1.mga8
+ Revision: 1617631
- new version: 0.7.2

* Tue Jul 14 2020 daviddavid <daviddavid> 0.6.13-1.mga8
+ Revision: 1605855
- new version: 0.6.13

* Sun Jun 28 2020 daviddavid <daviddavid> 0.6.12-3.mga8
+ Revision: 1600186
- rebuild for new protobuf 3.12.3

* Sun Jun 21 2020 daviddavid <daviddavid> 0.6.12-2.mga8
+ Revision: 1598177
- rebuild for new libplist 2.2.0 and libimobiledevice 1.3.0
- add upstream patch to add support for libplist 2.2

* Wed Jun 17 2020 daviddavid <daviddavid> 0.6.12-1.mga8
+ Revision: 1594157
- new version: 0.6.12

* Thu May 21 2020 daviddavid <daviddavid> 0.6.11-1.mga8
+ Revision: 1586570
- new version: 0.6.11

* Sun May 10 2020 daviddavid <daviddavid> 0.6.10-1.mga8
+ Revision: 1582472
- new version: 0.6.10

* Mon Apr 13 2020 daviddavid <daviddavid> 0.6.9-1.mga8
+ Revision: 1567052
- new version: 0.6.9

* Wed Feb 19 2020 umeabot <umeabot> 0.6.8-2.mga8
+ Revision: 1542822
- Mageia 8 Mass Rebuild

* Tue Jan 07 2020 daviddavid <daviddavid> 0.6.8-1.mga8
+ Revision: 1477040
- new version: 0.6.8
+ wally <wally>
- build with new cmake macros

* Thu Dec 19 2019 daviddavid <daviddavid> 0.6.7-3.mga8
+ Revision: 1468860
- rebuild for new protobuf 3.11.2

* Fri Dec 06 2019 daviddavid <daviddavid> 0.6.7-2.mga8
+ Revision: 1464853
- add French translation (Thanks to all contributors...)

* Fri Nov 29 2019 daviddavid <daviddavid> 0.6.7-1.mga8
+ Revision: 1463743
- new version: 0.6.7

* Mon Nov 11 2019 daviddavid <daviddavid> 0.6.6-1.mga8
+ Revision: 1459145
- new version: 0.6.6

* Thu Oct 03 2019 daviddavid <daviddavid> 0.6.5-1.mga8
+ Revision: 1449045
- new version: 0.6.5

* Wed Sep 25 2019 daviddavid <daviddavid> 0.6.4-1.mga8
+ Revision: 1445982
- new version: 0.6.4

* Mon Aug 19 2019 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1429935
- new version: 0.6.3

* Sun Jul 14 2019 daviddavid <daviddavid> 0.5.5-2.mga8
+ Revision: 1421269
- rebuild for new libcdio 2.1.0

* Mon May 06 2019 daviddavid <daviddavid> 0.5.5-1.mga7
+ Revision: 1396413
- new version: 0.5.5

* Tue Apr 02 2019 daviddavid <daviddavid> 0.5.3-1.mga7
+ Revision: 1385005
- new version: 0.5.3

* Tue Apr 02 2019 umeabot <umeabot> 0.5.2-2.mga7
+ Revision: 1384917
- Qt5 Rebuild

* Fri Feb 08 2019 daviddavid <daviddavid> 0.5.2-1.mga7
+ Revision: 1364216
- initial package strawberry

